{% extends "base.html.twig" %}

{% block body %}
	<article>
		<h2>{{ article.title }}</h2>
		<div class="metadata">Ecrit le
			{{ article.createdAt | date('d/m/Y') }}
			à
			{{ article.createdAt | date('H:i') }}
			dans la catégories
			{{ article.category.title }}
		</div>
		<div class="content">
			<img src="{{ article.image }}" alt="">
			<br>
			{{ article.content | raw }}
		</div>
	</article>
	<hr>
	{% if app.user %}
		<a href="{{path('blog_edit', {'id': article.id })}}" class="btn btn-primary">Editer</a>

		{# delete add #}
		<a href="{{path('blog_delete', {'id': article.id })}}" class="btn btn-danger">Supprimer</a>

	{% endif %}
	<hr>
	<section id="commentaires">

		{% if article.comments | length <= 1 %}
			<h4>{{ article.comments | length }}
				Commentaire :
			</h4>
		{% else %}
			<h4>{{ article.comments | length }}
				Commentaires :
			</h4>
		{% endif %}
		{% for comment in article.comments %}
			<div class="comment">
				<div class="row">
					<div class="col-3">
						{{comment.author}}
						(<small>{{comment.createdAt | date('d/m/Y à H:i')}}</small>)
					</div>
					<div class="col-3">
						{{comment.content | raw }}
					</div>
				</div>
			</div>
		{% endfor %}
		<br>
		{% if app.user %}
			{{ form_start(commentForm)}}
			{{ form_row(commentForm.author, {'attr': {'placeholder' : "votre nom"}})}}
			{{ form_row(commentForm.content, {'attr': {'placeholder' : "votre comentaire"}})}}

			<button type="submit" class="btn btn-primary">commenter</button>
			{{ form_end(commentForm)}}
		{% else  %}
			<h2>pour commenter connectez-vous</h2>
			<a href="{{path('security_login')}}" class="btn btn-primary">Connexion</a>
		{% endif %}

	</section>

{% endblock %}
